Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.event
Class MappedRemotePropertyChangeConsumer

    java.lang.Object
      org.jini.rio.event.RemotePropertyChangeConsumer
          org.jini.rio.event.MappedRemotePropertyChangeConsumer

All Implemented Interfaces:
  PropertyChangeListener, EventListener, RemoteServiceEventListener

    public class MappedRemotePropertyChangeConsumer

extends RemotePropertyChangeConsumer
implements PropertyChangeListener

Provides a RemotePropertyChangeConsumer mapped to a RemotePropertyChangeEvent

Constructor Summary
`MappedRemotePropertyChangeConsumer(DiscoveryManagement dmgr)` Creates new RemotePropertyChangeConsumer using RemotePropertyChangeEvent.ID
`MappedRemotePropertyChangeConsumer(DiscoveryManagement dmgr, long eventID)` Creates new RemotePropertyChangeConsumer RemotePropertyChangeEvent

Method Summary
`void` | `addBean(Object bean)` Add a bean to be managed by this RemotePropertyChangeConsumer
`void` | `propertyChange(PropertyChangeEvent event)` This method gets called when a bound property is changed.
`void` | `removeBean(Object bean)` Remove a bean from being managed by this RemotePropertyChangeConsumer

Methods inherited from class org.jini.rio.event.RemotePropertyChangeConsumer
`addPropertyChangeListener, getEventConsumer, getEventTemplate, notify, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedRemotePropertyChangeConsumer

    public MappedRemotePropertyChangeConsumer(DiscoveryManagement dmgr)
                                       throws Exception

  Creates new RemotePropertyChangeConsumer using RemotePropertyChangeEvent.ID

  Parameters:
    `dmgr` - the Jini DiscoveryManagement object
  Throws:
    `Exception`

### MappedRemotePropertyChangeConsumer

    public MappedRemotePropertyChangeConsumer(DiscoveryManagement dmgr,
                                              long eventID)
                                       throws Exception

  Creates new RemotePropertyChangeConsumer RemotePropertyChangeEvent

  Parameters:
    `dmgr` - the Jini DiscoveryManagement object
    `eventID` - the identification number for the
  Throws:
    `Exception`

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Parameters:
    `event` - A PropertyChangeEvent object describing the event source and the property that has changed.

### addBean

    public void addBean(Object bean)
                 throws IntrospectionException

  Add a bean to be managed by this RemotePropertyChangeConsumer

  Parameters:
    `bean` - the bean to manage
  Throws:
    `IntrospectionException`

### removeBean

    public void removeBean(Object bean)

  Remove a bean from being managed by this RemotePropertyChangeConsumer

  Parameters:
    `bean` - the bean to manage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.